com.tibco.tibems.ufo

## Class TibjmsUFOQueueConnection

- java.lang.Object
- - com.tibco.tibems.ufo.TibjmsUFOConnection
  - - com.tibco.tibems.ufo.TibjmsUFOQueueConnection

- All Implemented Interfaces:
    java.lang.AutoCloseable, Connection, QueueConnection

      public class TibjmsUFOQueueConnection
      extends TibjmsUFOConnection
      implements QueueConnection

  UFO Implementation of javax.jms.QueueConnection.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionConsumer` | `createConnectionConsumer(Queue queue, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)` Not supported by UFO Implementation.
    `QueueSession` | `createQueueSession(boolean transacted, int acknowledgeMode)` Creates a `QueueSession` object.

    - ### Methods inherited from class com.tibco.tibems.ufo.TibjmsUFOConnection

      `close, createConnectionConsumer, createDurableConnectionConsumer, createSession, createSession, createSession, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, recoverConnection, setClientID, setExceptionListener, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Connection

      `close, createConnectionConsumer, createDurableConnectionConsumer, createSession, createSession, createSession, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

- - ### Method Detail

    - #### createQueueSession

          public QueueSession createQueueSession(boolean transacted,
                                                 int acknowledgeMode)
                                          throws JMSException

      Description copied from interface: `QueueConnection`
      Creates a `QueueSession` object.
      Specified by:
        `createQueueSession` in interface `QueueConnection`
      Parameters:
        `transacted` - indicates whether the session is transacted
        `acknowledgeMode` - indicates whether the consumer or the client will acknowledge any messages it receives; ignored if the session is transacted. Legal values are `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, and `Session.DUPS_OK_ACKNOWLEDGE`.
      Returns:
        a newly created queue session
      Throws:
        `JMSException` - if the `QueueConnection` object fails to create a session due to some internal error or lack of support for the specific transaction and acknowledgement mode.
      See Also:
        `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`

    - #### createConnectionConsumer

          public ConnectionConsumer createConnectionConsumer(Queue queue,
                                                             java.lang.String messageSelector,
                                                             ServerSessionPool sessionPool,
                                                             int maxMessages)
                                                      throws JMSException

      Not supported by UFO Implementation.
      Specified by:
        `createConnectionConsumer` in interface `QueueConnection`
      Parameters:
        `queue` - the queue to access
        `messageSelector` - only messages with properties matching the message selector expression are delivered. A value of null or an empty string indicates that there is no message selector for the message consumer.
        `sessionPool` - the server session pool to associate with this connection consumer
        `maxMessages` - the maximum number of messages that can be assigned to a server session at one time
      Returns:
        the connection consumer
      Throws:
        `JMSException` - if the `QueueConnection` object fails to create a connection consumer due to some internal error or invalid arguments for `sessionPool` and `messageSelector`.
        `InvalidDestinationException` - if an invalid queue is specified.
        `InvalidSelectorException` - if the message selector is invalid.
      See Also:
        `ConnectionConsumer`

Copyright © Cloud Software Group, Inc. All rights reserved